static String fallback[] = {    /* fallback resources */

  /* --- general resources --- */
  "*font: -adobe-helvetica-bold-r-normal--12-120-75-75-p-70-iso8859-1",
  "*Xmlp.title:                 xmlp",
  "*Xmlp.allowShellResize:      True",
  "*main.background:            rgb:ef/ef/ef",
  "*main*foreground:            Black",
  "*view.background:            White",

  /* --- menu resources --- */
  "*menuBar*background:         rgb:ef/ef/ef",
  "*menuBar*foreground:         Black",

  "*menuBar.file.label:         File",
  "*file.load.label:            Load Weights...",
  "*file.save.label:            Save Weights...",
  "*file.quit.label:            Quit",

  "*menuBar.actions.label:      Actions",
  "*actions.xor.label:          Exclusive Or",
  "*actions.biimp.label:        Biimplication",
  "*actions.func1.label:        Function 1",
  "*actions.func2.label:        Function 2",
  "*actions.start.label:        Start Training",
  "*actions.stop.label:         Stop Training",
  "*actions.redraw.label:       Redraw",

  "*menuBar.settings.label:     Settings",
  "*settings.params.label:      Parameters...",
  "*settings.weights.label:     Weights...",

  "*menuBar.help.label:         Help",
  "*help.about.label:           About XMLP...",

  "*menuBar.accelerators:"
    "<Key>l: load()\\n"         /* File    > Load Weights... */
    "<Key>s: save()\\n"         /* File    > Save Weights... */
    "<Key>q: quit()\\n"         /* File    > Quit */
    "<Key>e: init(xor)\\n"      /* Actions > Exclusive Or */
    "<Key>b: init(biimp)\\n"    /* Actions > Biimplication */
    "<Key>1: init(func1)\\n"    /* Actions > Function 1 */
    "<Key>2: init(func2)\\n"    /* Actions > Function 2 */
    "<Key>p: params()\\n"       /* Actions > Parameters... */
    "<Key>w: weights()\\n"      /* Actions > Weights... */
    "<Key>x: exec()\\n"         /* Actions > Start/Stop Training */
    "<Key>r: redraw()\\n"       /* Actions > Redraw */
    "<Key>a: about()",          /* Help    > About XMLP... */

  /* --- dialog box resources --- */
  "*form.background:            rgb:ef/ef/ef",
  "*form*foreground:            Black",
  "*Label.background:           rgb:ef/ef/ef",
  "*Command.background:         LightGrey",
  "*Button.background:          LightGrey",
  "*Toggle.background:          White",
  "*MenuButton.background:      White",
  "*SimpleMenu.background:      White",
  "*List*background:            White",
  "*Viewport*background:        White",
  "*Text.width:                 60",
  "*Text*background:            White",
  "*Text.translations:#override:"
    "<Key>Delete: delete-next-character()\\n"
    "<Key>Home  : beginning-of-line()\\n"
    "<Key>End   : end-of-line()\\n"
    "<Key>Return: db_close(ok)\\n"
    "!Alt<Key>o : db_close(ok)\\n"
    "!Alt<Key>c : db_close(cancel)",

  "*alertDlg.title:              Alert",

  "*aboutDlg.title:              About XMLP...",
  "*aboutDlg*info.label:"
    "XMLP\\n"
    "Multilayer Perceptron Training Demonstration\\n"
    "Version 3.3, 2007.07.10\\n\\n"
    "written by Christian Borgelt\\n"
    "European Center for Soft Computing\\n"
    "c/ Gonzalo Gutierrez Quiros s/n\\n"
    "33600 Mieres, Asturias, Spain\\n"
    "e-mail: christian.borgelt@softcomputing.es",

  "*listView.background:        rgb:ef/ef/ef",
  "*pathLabel.label:            Directory/Filter",
  "*listLabel.label:            Files",
  "*update.label:               Update",
  "*fileLabel.label:            Selection",

  "*ok.label:                   Ok",
  "*cancel.label:               Cancel",
  "*ok.accelerators:            !Alt<Key>o: set()notify()unset()",
  "*cancel.accelerators:        !Alt<Key>c: set()notify()unset()",

  /* --- property sheet resources --- */
  "*paramDlg*title:             Parameters...",
  "*paramDlg*lmode.label:       Learning mode:",
  "*paramDlg*mode*batch.label:  batch",
  "*paramDlg*mode*online.label: online",
  "*paramDlg*llrate.label:      Learning rate:",
  "*paramDlg*lmoment.label:     Momentum:",
  "*paramDlg*lrange.label:      Initial weight range:",
  "*paramDlg*ldelay.label:      Delay (in seconds):",

  "*weightDlg*title:            Weights...",
  "*weightDlg*llower.label:     Lower hidden neuron:",
  "*weightDlg*lupper.label:     Upper hidden neuron:",
  "*weightDlg*loutput.label:    Output neuron:",

  NULL };
